httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael J Humphries" <admin...@alphacomm.net>
Subject RE: problems upgrading from 1.3.19 to 1.3.22
Date Fri, 12 Jul 2002 20:34:14 GMT
This is the error that I get:

[root@saturn bin]# ./apachectl start
Syntax error on line 210 of /etc/httpd/conf/httpd.conf:
Invalid command 'LoadModule', perhaps mis-spelled or defined by a module
not included in the server configuration
./apachectl start: httpd could not be started
[root@saturn bin]#

and this is a small part of the httpd.conf

#LoadModule mmap_static_module modules/mod_mmap_static.so
LoadModule vhost_alias_module modules/mod_vhost_alias.so
LoadModule env_module         modules/mod_env.so
LoadModule config_log_module  modules/mod_log_config.so
LoadModule agent_log_module   modules/mod_log_agent.so
LoadModule referer_log_module modules/mod_log_referer.so
#LoadModule mime_magic_module  modules/mod_mime_magic.so
LoadModule mime_module        modules/mod_mime.so
LoadModule negotiation_module modules/mod_negotiation.so
LoadModule status_module      modules/mod_status.so
LoadModule info_module        modules/mod_info.so
LoadModule includes_module    modules/mod_include.so
LoadModule autoindex_module   modules/mod_autoindex.so
LoadModule dir_module         modules/mod_dir.so

And here is the output from httpd -l

[root@saturn bin]# httpd -l
Compiled-in modules:
  http_core.c
  mod_so.c
suexec: enabled; valid wrapper /usr/sbin/suexec

Michael Humphries
Alphacomm.net
Network Administrator
906-639-3500
877-450-3500
adminmjh@alphacomm.net
www.alphacomm.net 


-----Original Message-----
From: Lee Fellows [mailto:lfellows@4lane.com] 
Sent: Friday, July 12, 2002 3:04 PM
To: users@httpd.apache.org
Subject: Re: problems upgrading from 1.3.19 to 1.3.22

On Fri, 2002-07-12 at 15:58, Michael J Humphries wrote:
> I am trying to upgrade to 1.3.22 from 1.3.19 and everything seems to
> work ok until I run ./apachectl start 
> I then get a syntax error when it tries to load any of the modules but
> the modules exist in the modules dir and the same httpd.conf file work
> under 1.3.19 has any one found this problem and if so is there a fix.
> Any help would be greatly appreciated. Thank you in advance
> 
> Michael Humphries
> Alphacomm.net
> Network Administrator
> 906-639-3500
> 877-450-3500
> adminmjh@alphacomm.net
> www.alphacomm.net 
> 

  What is the error?  Something about LoadModule not being recognized?
  Did you build 1.3.22 with mod_so enabled?  What is the output of
  ./httpd -l?




---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message